# Uses of Interface
net.shibboleth.idp.profile.interceptor.ProfileInterceptorResult

Packages that use ProfileInterceptorResult
Package
Description
net.shibboleth.idp.consent.flow.storage.impl
Actions related to consent storage.
net.shibboleth.idp.consent.storage.impl
Storage and serialization classes related to attribute consent.
net.shibboleth.idp.profile.context
Context classes for IdP-specific information needed by profile actions.
net.shibboleth.idp.profile.interceptor
Classes supporting profile interceptor machinery.
net.shibboleth.idp.profile.interceptor.impl
Implementation of a profile interceptor flow which executes other flows.

## Uses of ProfileInterceptorResult in net.shibboleth.idp.consent.flow.storage.impl

Methods in net.shibboleth.idp.consent.flow.storage.impl with parameters of type ProfileInterceptorResult
Modifier and Type
Method
Description
`protected boolean`
AbstractConsentIndexedStorageAction.`storeResult(ProfileInterceptorResult result)`
Store a profile interceptor result.
`protected void`
AbstractConsentIndexedStorageAction.`storeResultWithIndex(ProfileRequestContext profileRequestContext, ProfileInterceptorResult result)`
Store a profile interceptor result and maintain an index record containing the storage keys for the storage context.

## Uses of ProfileInterceptorResult in net.shibboleth.idp.consent.storage.impl

Classes in net.shibboleth.idp.consent.storage.impl that implement ProfileInterceptorResult
Modifier and Type
Class
Description
`class`
`ConsentResult`
The result of a consent flow, suitable for storage.

## Uses of ProfileInterceptorResult in net.shibboleth.idp.profile.context

Fields in net.shibboleth.idp.profile.context with type parameters of type ProfileInterceptorResult
Modifier and Type
Field
Description
`private final List<ProfileInterceptorResult>`
ProfileInterceptorContext.`results`
Results of the flow to be written to storage.
Methods in net.shibboleth.idp.profile.context that return types with arguments of type ProfileInterceptorResult
Modifier and Type
Method
Description
`List<ProfileInterceptorResult>`
ProfileInterceptorContext.`getResults()`
Get the results of the flow to be written to storage.

## Uses of ProfileInterceptorResult in net.shibboleth.idp.profile.interceptor

Classes in net.shibboleth.idp.profile.interceptor that implement ProfileInterceptorResult
Modifier and Type
Class
Description
`class`
`AbstractProfileInterceptorResult`
Base class for profile interceptor results.

## Uses of ProfileInterceptorResult in net.shibboleth.idp.profile.interceptor.impl

Fields in net.shibboleth.idp.profile.interceptor.impl with type parameters of type ProfileInterceptorResult
Modifier and Type
Field
Description
`private List<ProfileInterceptorResult>`
WriteProfileInterceptorResultToStorage.`results`
Results to be stored.
Methods in net.shibboleth.idp.profile.interceptor.impl with parameters of type ProfileInterceptorResult
Modifier and Type
Method
Description
`protected void`
WriteProfileInterceptorResultToStorage.`store(ProfileInterceptorResult result)`
Store a profile interceptor result.